# dist.mak --- add distdir target to non-GNU standardized source tree
#
# Target are based on Makefile.in generated automatically by automake 1.4
# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
#
# This file is part of GNU Display Ghostscript.
#
# GNU Ghostscript is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY.  No author or distributor accepts responsibility to
# anyone for the consequences of using it or for whether it serves any
# particular purpose or works at all, unless he says so in writing.  Refer to
# the GNU General Public License for full details.
#
# Everyone is granted permission to copy, modify and redistribute GNU
# Ghostscript, but only under the conditions described in the GNU General
# Public License.  A copy of this license is supposed to have been given to
# you along with GNU Ghostscript so you can know your rights and
# responsibilities.  It should be in a file named COPYING.  Among other
# things, the copyright notice and this notice must be preserved on all
# copies.

# Commentary:
# This file is appended to dgs/jpeg/Makefile. Each Makefile listed in
# SUBDIRS in Makefile.am has to have `distdir' target in order to put
# the contents of SUBDIRS into .tar.gz generated by `gmake dist'.

srcdir = .
distdir = "" # $dist_dir is given via make command arguments.

# 1. With find command, remove object file (*.o) and hidden files(.*).
# 2. Find source files (*.c, *.h and so on) and put them in to tarball.
# 3. Executable files are not put into the tarball.
distdir:
	distdir=`cd $(distdir) && pwd`; \
	DISTFILES=`find . -print` ; \
	if test "x" != "x$(distdir)"; then \
		for file in $$DISTFILES; do \
		  d=$(srcdir); \
		  if test "." != $${file} -a -d $$d/$${file} ; then \
		    echo archiving directory $${file}; \
		    cp -pr $$d/$${file} $(distdir)/$${file}; \
		  else \
		    test -f $(distdir)/$${file} \
		    || case `basename $${file}|tr A-Z a-z` in \
		    	makefile ) \
				;; \
			*config.h ) \
				;; \
			config.status | config.log | config.cache ) \
				;; \
		    	.* ) \
				;; \
		    	*.o | *.a | *.lo | *.so ) \
				;; \
			*.cpp | *.c | *.h | *.ps | *.asm | *.in | *.mak \
			| *.cfg | *.rps | *.htm | *.[0-9] | *.sh | *.pl \
			| *.el | *.tcl | *.com | *.def | *.hlp | *.rc \
			| *.icx | *.bat | *.cmd ) \
		    		ln $$d/$${file} $(distdir)/$${file} \
					2> /dev/null \
				|| cp -p $$d/$${file} $(distdir)/$${file} \
				;; \
		    	* ) \
		    		expr "`file $$d/$${file}`" : '.*executable.*' \
					> /dev/null \
				|| ln $$d/$${file} $(distdir)/$${file} \
					2> /dev/null \
				|| cp -p $$d/$${file} $(distdir)/$${file} \
				;; \
		       esac ; \
		  fi; \
		done; \
	else \
		@echo "No distdir is given;"; \
		@echo "Generated tarball will be broken."; \
	fi
.PHONY: distdir
